1. Denis Kulikov
  2. Sublime TFS
Issue #12 closed

Nothing Happens and no errors reported

Ben Williams
created an issue

(I accidentally reported this anomalously previously)

I just installed Sublime TFS on Sublime Text Build 3059. I have TFS and TFS Power Tools installed. I have verified the settings tf_path and tfpt_path. I have copied the default settings to my user settings.

But whenever I actually try to check something out, nothing happens.

Comments (9)

  1. Ben Williams reporter

    Indeed, there is a console error.

    commands: ['C:/Program Files (x86)/Microsoft Visual Studio 10.0/Common7/IDE/TF.exe', 'checkout', 'C:\Development\VZRF\VZRFDocs\vzrf\scss\vzrf\widgets\_filter-bar.scss'] is_graph: False Exception in thread Thread-7: Traceback (most recent call last): File "X/subprocess.py", line 1090, in _execute_child NotADirectoryError: [WinError 267] The directory name is invalid

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last): File "X/threading.py", line 639, in _bootstrap_inner File "C:\Users\v631145\AppData\Roaming\Sublime Text 3\Packages\Sublime TFS\sublime_tfs.py", line 116, in run (self.success, self.message) = self.method(self.m_path) File "C:\Users\v631145\AppData\Roaming\Sublime Text 3\Packages\Sublime TFS\sublime_tfs.py", line 41, in checkout return self.run_command(["checkout"], path) File "C:\Users\v631145\AppData\Roaming\Sublime Text 3\Packages\Sublime TFS\sublime_tfs.py", line 84, in run_command return self.run_command_inner(commands, working_dir, is_graph, decode_string) File "C:\Users\v631145\AppData\Roaming\Sublime Text 3\Packages\Sublime TFS\sublime_tfs.py", line 97, in run_command_inner p = self.launch_without_console(commands, working_dir) File "C:\Users\v631145\AppData\Roaming\Sublime Text 3\Packages\Sublime TFS\sublime_tfs.py", line 105, in launch_without_console return subprocess.Popen(command, stderr=subprocess.PIPE, stdout=subprocess.PIPE, cwd=working_dir, startupinfo=startupinfo) File "X/subprocess.py", line 818, in init File "X/subprocess.py", line 1096, in _execute_child NotADirectoryError: [WinError 267] The directory name is invalid

  2. Konstantin Kabanov

    Hi, Ben Williams. Help us please :)
    Try the latest version - i've extended error log in case of exception on checkout - this version will not fix your problem but it will give me more debug information to fix it later.
    Send us new error text in your cosole please.

  3. Ben Williams reporter

    I think Sublime TFS upgraded to the latest version: 2014.06.30.11.02.51

    I attempted a checkout and got this in the console: commands: [['C:/Program Files (x86)/Microsoft Visual Studio 10.0/Common7/IDE/TF.exe', 'checkout', 'C:\Development\WR\WR93258_Mobile_LearnShop\MobileShop\Default.cshtml']], is_graph: [False], working_dir: [C:/Program Files (x86)/Microsoft Visual Studio 10.0/Common7/IDE] Exception in thread Thread-25: Traceback (most recent call last): File "X/subprocess.py", line 1090, in _execute_child NotADirectoryError: [WinError 267] The directory name is invalid

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last): File "X/threading.py", line 639, in _bootstrap_inner File "C:\Users\v631145\AppData\Roaming\Sublime Text 3\Packages\Sublime TFS\sublime_tfs.py", line 115, in run (self.success, self.message) = self.method(self.m_path) File "C:\Users\v631145\AppData\Roaming\Sublime Text 3\Packages\Sublime TFS\sublime_tfs.py", line 41, in checkout return self.run_command(["checkout"], path) File "C:\Users\v631145\AppData\Roaming\Sublime Text 3\Packages\Sublime TFS\sublime_tfs.py", line 84, in run_command return self.run_command_inner(commands, working_dir, is_graph, decode_string) File "C:\Users\v631145\AppData\Roaming\Sublime Text 3\Packages\Sublime TFS\sublime_tfs.py", line 96, in run_command_inner p = self.launch_without_console(commands, working_dir) File "C:\Users\v631145\AppData\Roaming\Sublime Text 3\Packages\Sublime TFS\sublime_tfs.py", line 104, in launch_without_console return subprocess.Popen(command, stderr=subprocess.PIPE, stdout=subprocess.PIPE, cwd=working_dir, startupinfo=startupinfo) File "X/subprocess.py", line 818, in init File "X/subprocess.py", line 1096, in _execute_child NotADirectoryError: [WinError 267] The directory name is invalid

  4. Ben Williams reporter

    It is working now. I also noticed that the folder directory to open the TF.exe (or is it TFS.exe) had the wrong year on it in my settings. Not sure if that was always the problem, or if you added more error messages to help me diagnose the problem myself. In any event, it works now. Thanks so much for the help.

  5. Log in to comment